<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<TITLE> Error 2: debug suite </TITLE>
</HEAD>

<BODY>
<?php

function debug($e) {

	try {

		if (!($handle = @fopen("errorlog.txt", "a"))) {
			throw new Exception("Errorlog kan niet geopend worden!");
		}

		$regel = "[".date("d-m-Y h:i:s", time())."] ".$e->getMessage()." / File ".$e->getFile()." / Line ".$e->getLine()."\n";

		if (!(@fwrite($handle, $regel))) {
			throw new Exception("Errorlog kan niet geschreven worden!");
		}
		
		fclose($handle);

	} catch (Exception $e) { 

		// schrijven kan niet, stuur dan een mail
		$boodschap = "Foutmelding: ".$e->getMessage()."\n"
		."Bestand: ".$e->getFile()."\n"
		."Regel: ".$e->getLine()."\n";
		mail("burger@leer-php.nl", "debug optie probleem", $boodschap, "from: server@leer-php.nl");

	}


}

try {

	if (!($handle = @fopen("bestand.txt", "r"))) {
		throw new Exception("Bestand kan niet geopend worden!");
	}

} catch (Exception $e) {

	echo "<b>Foutmelding</b><br />";
	echo "Foutmelding: ".$e->getMessage()."<br />";
	echo "Bestand: ".$e->getFile()."<br />";
	echo "Regel: ".$e->getLine()."<br />";

	// debug feature

	debug($e);

}

?>
</BODY>
</HTML>
